USERMOD(8)

NOM
usermod - Modifier un compte utilisateur

SYNOPSIS

usermod [options] LOGIN

DESCRIPTION

La commande usermod modifie les fichiers d'administration des comptes du système selon les modifications qui ont été indiquées sur la ligne de commande.

OPTIONS

Les options disponibles pour la commande usermod sont :

-a, --append
    Ajouter l'utilisateur aux groupes supplémentaires. N'utilisez cette option qu'avec l'option -G.

-c, --comment COMMENTAIRE
    La nouvelle valeur du champ de commentaire du fichier de mots de passe pour l'utilisateur. Il est normalement modifié en utilisant l'utilitaire chfn(1).

-d, --home RÉP_PERSO
    Le nouveau répertoire de connexion de l'utilisateur. Si l'option -m est fournie, le contenu du répertoire personnel actuel sera déplacé dans le nouveau répertoire personnel, qui sera créé si nécessaire.

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé. La date est indiquée dans le format AAAA-MM-JJ.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité. La valeur par défaut est de -1.

-g, --gid GROUPE
    Nom du groupe ou identifiant numérique du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe déjà existant. Le numéro de groupe par défaut est de 1.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. If the user is currently a member of a group which is not listed, the user will be removed from the group. This behaviour can be changed via the -a option, which appends the user to the current supplementary group list.

-l, --loginNOUVEAU_LOGIN
    The name of the user will be changed from LOGIN to NEW_LOGIN. Nothing else is changed. In particular, the user's home directory name should probably be changed manually to reflect the new login name.

-L, --lock
    Verrouiller le mot de passe d'un utilisateur. Cette option ajoute un « ! » devant le mot de passe chiffré, ce qui désactive le mot de passe. Vous ne pouvez pas utiliser cette option avec -p ou -U.

    Note: if you wish to lock the account (not only access with a password), you should also set the EXPIRE_DATE to 1.

-o, --non-unique
    En combinaison avec l'option -u, cette option permet de changer l'identifiant utilisateur vers une valeur déjà utilisée.

-p, --password MOT_DE_PASSE
    Mot de passe chiffré, comme renvoyé par crypt(3).

-s, --shell INTERPRÉTEUR
    Nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si ce champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

-u, --uid UID
    Valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Les valeurs comprises entre 0 et 999 sont généralement réservées aux comptes système. Tous les fichiers possédés par l'utilisateur et qui sont situés dans son répertoire personnel verront leur identifiant d'utilisateur automatiquement modifié. Vous devrez modifier vous-même les fichiers situés à l'extérieur du répertoire personnel de l'utilisateur.

-U, --unlock
    Déverrouiller le mot de passe d'un utilisateur. Cela supprime le « ! » situé devant le mot de passe chiffré. Vous ne pouvez pas utiliser cette option avec -p ou -L.

    Note: if you wish to unlock the account (not only access with a password), you should also set the EXPIRE_DATE (for example to 99999, or to the EXPIRE value from /etc/default/useradd).

AVERTISSEMENTS

Usermod ne vous permet pas de modifier le nom d'un utilisateur qui est actuellement connecté. Vous devez vous assurer que l'utilisateur nommé n'est pas en train d'exécuter un quelconque programme lorsque cette commande est exécutée si l'UID numérique de l'utilisateur est modifié. Vous devez modifier vous-même le nom du propriétaire de tous les fichiers crontab et des tâches at. Vous devez effectuer toutes les modifications impliquant NIS sur le serveur NIS.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAIL_DIR (string)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).